<?php
/**
 * Theme information page
 * @package Article Lite
 */

//Add the theme page
add_action('admin_menu', 'article_lite_add_theme_info');
function article_lite_add_theme_info(){
	$theme_info = add_theme_page( esc_html__('Article Lite Info','article-lite'), esc_html__('Article Lite Info','article-lite'), 'manage_options', 'articlelite-info.php', 'article_lite_info_page' );
    add_action( 'load-' . $theme_info, 'article_lite_info_hook_styles' );
}

//Callback
function article_lite_info_page() {
?>
	<div class="info-container">
		<h2 class="info-title"><?php esc_html_e('Article Lite Info','article-lite'); ?></h2>
		<div class="info-block"><div class="dashicons dashicons-book-alt info-icon"></div>
        	<p class="info-text"><a href="<?php echo esc_url('https://blazethemes.com/documentation/article-lite/');?>" target="_blank"><?php esc_html_e('Setup Tutorials','article-lite'); ?></a></p></div>
		<div class="info-block"><div class="dashicons dashicons-sos info-icon"></div>
        	<p class="info-text"><a href="<?php echo esc_url('https://www.blazethemes.com/support'); ?>" target="_blank"><?php esc_html_e('Support','article-lite'); ?></a></p></div>       
        <div class="info-block"><div class="dashicons dashicons-desktop info-icon"></div>
        	<p class="info-text"><a href="<?php echo esc_url('https://demo.blazethemes.com/article-lite'); ?>" target="_blank"><?php esc_html_e('Theme demo','article-lite'); ?></a></p></div> 

        <div class="info-block"><div class="dashicons dashicons-embed-video info-icon"></div>
        	<p class="info-text"><a href="<?php echo esc_url('https://blazethemes.com/theme/article-pro/');?>" target="_blank"><?php esc_html_e('Get Pro Version','article-lite'); ?></a></p></div>      
		<div class="info-block"><div class="dashicons dashicons-laptop info-icon"></div>
        	<p class="info-text"><a href="<?php echo esc_url('https://demo.blazethemes.com/article-pro/'); ?>" target="_blank"><?php esc_html_e('Pro Theme demo','article-lite'); ?></a></p></div>       
	</div>
<?php
}

//Styles
function article_lite_info_hook_styles(){
   	add_action( 'admin_enqueue_scripts', 'article_lite_info_page_styles' );
}
function article_lite_info_page_styles() {
	wp_enqueue_style( 'article_lite-info-style', get_template_directory_uri() . '/css/info-page.css', array(), true );
}